#include <bits/stdc++.h>
using namespace std;

#define endl '\n'

signed main() {
ios::sync_with_stdio(0);
cin.tie(0);
int n;
cin>>n;
vector<long long>x(n);
vector<long long>y(n);
for (int i=0;i<n;i++) {
cin>>x[i]>>y[i];

}


long long p = 2e18;
for (int i =0; i<n;i++){
for (int j=0;j<n;j++){

for (int k=0;k<n;k++){


if (i!=j&&i!=k&&j!=k){


long long pov=abs(x[i]*(y[j]-y[k])+x[j]*(y[k]-y[i])+x[k]*(y[i]-y[j]))/2;

p=min(p,pov);


}
    }
}
}
    cout<<p<<endl;

    return 0;
}